require "player"
require "civ"
require "map"

obj = {"civ", "player"}

function love.load()
	font = love.graphics.newFont(45)
	numb = math.random(4)
	map_load()
	civ_load()
	player_load()
end

function love.update(dt)
    player.act_y = player.act_y - ((player.act_y - player.grid_y) * player.speed * dt)
    player.act_x = player.act_x - ((player.act_x - player.grid_x) * player.speed * dt)
	
	civ.act_y = civ.act_y - ((civ.act_y - civ.grid_y) * civ.speed * dt)
    civ.act_x = civ.act_x - ((civ.act_x - civ.grid_x) * civ.speed * dt)
	
	if numb == 4 then
        if testMap(civ, 0, -1) then
            civ.grid_y = civ.grid_y - 16
        end
		end
    if numb == 3 then
        if testMap(civ, 0, 1) then
            civ.grid_y = civ.grid_y + 16
        end
		end
    if numb == 2 then
        if testMap(civ, -1, 0) then
            civ.grid_x = civ.grid_x - 16
        end
		end
    if numb == 1 then
        if testMap(civ, 1, 0) then
            civ.grid_x = civ.grid_x + 16
        end
    end
	if numb < 5 then
	numb = 5 - math.random(150)
	end
end

function love.draw()
	love.graphics.setFont(font)
	love.graphics.setColor(255, 0, 255)
	love.graphics.rectangle("fill", civ.act_x - 16, civ.act_y - 16, 16, 16)
    for y=1, #map do
        for x=1, #map[y] do
            if map[y][x] == 1 then
                love.graphics.rectangle("line", x * 16 - 16, y * 16 - 16, 16, 16)
            end
        end
    end
	
	love.graphics.setColor(0, 255, 255)
	love.graphics.rectangle("fill", player.act_x - 16, player.act_y - 16, 16, 16)
    for y=1, #map do
        for x=1, #map[y] do
        end
    end
end

function testMap(obj, x, y)
    if map[obj.grid_y / 16 + y][obj.grid_x / 16 + x] == 1 then
        return false
    end
    return true
end

function love.keypressed(key)
    if key == "up" then
        if testMap(player, 0, -1) then
            player.grid_y = player.grid_y - 16
        end
		end
    if key == "down" then
        if testMap(player, 0, 1) then
            player.grid_y = player.grid_y + 16
        end
		end
    if key == "left" then
        if testMap(player, -1, 0) then
            player.grid_x = player.grid_x - 16
        end
		end
    if key == "right" then
        if testMap(player, 1, 0) then
            player.grid_x = player.grid_x + 16
        end
    end
end